var $ = jQuery;
$(document).ready(function () {

    checkCheckboxes();

    $(document).on('change', '#woocommerce_hkd_idbank_save_card, #woocommerce_hkd_idbank_testmode', function () {
        checkCheckboxes();
    });

    $(document).on('mouseover', '.wrap-idbank .woocommerce-help-tip', function () {
        let parentId = $(this).parent().attr('for');
        if (parentId === 'woocommerce_hkd_idbank_save_card_button_text') {
            $('#tiptip_content').css({
                'max-width': '300px',
                'width': '300px'
            }).html('<img src="'+ myScriptIdBank.pluginsUrl + 'assets/images/bindingnew.jpg" width="300">');
        } else if(parentId === 'woocommerce_hkd_idbank_save_card_header') {
            $('#tiptip_content').css({
                'max-width': '300px',
                'width': '300px'
            }).html('<img src="'+ myScriptIdBank.pluginsUrl + 'assets/images/payment.jpg" width="300">');
        }else if(parentId === 'woocommerce_hkd_idbank_save_card_use_new_card'){
            $('#tiptip_content').css({
                'max-width': '300px',
                'width': '300px'
            }).html('<img src="'+ myScriptIdBank.pluginsUrl + 'assets/images/newcard.jpg" width="300">');
        }else{
            $('#tiptip_content').css({'max-width': '150px'});
        }
    });

    function checkCheckboxes() {
        $('.hiddenValueIdBank').parents('tr').hide();
        let saveCardMode = $('#woocommerce_hkd_idbank_save_card').is(':checked');
        let testMode = $('#woocommerce_hkd_idbank_testmode').is(':checked');
        if (saveCardMode) {
            $('.saveCardInfoIdBank').parents('tr').show();
        } else {
            $('.saveCardInfoIdBank').parents('tr').hide();
        }

        if(testMode){
            $('.testModeInfoIdBank').parents('tr').show();
        }else{
            $('.testModeInfoIdBank').parents('tr').hide();
        }

    }
});
